Bug Hunting Session
Bug 79161 - Sidebar Crashes LO when deactivated from 'View' menu
Summary: Sidebar Crashes LO when deactivated from 'View' menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: All Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0.0.beta2
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-05-24 00:39 UTC by reporter_of_bugs
Modified: 2015-12-17 08:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
console logs + bt with symbols (10.03 KB, text/plain)
2014-05-24 14:10 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description reporter_of_bugs 2014-05-24 00:39:51 UTC
Steps to Replicate:
1. Start LO, if the sidebar is visible, deactivate from 'View' menu and exit and restart LO.
2. Open new writer document and activate sidebar from 'view' menu
3. select the gallery icon in the sidebar and click on one piece of clipart.
4. deactivate the sidebar from 'View' menu and LO crashes.


Additional information:
Also happens with Calc, Impress & Draw
no crash in 4.2.4.2

Ubuntu 14.04 64bit
Version: 4.3.0.0.beta1
Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Comment 1 Joel Madero 2014-05-24 02:37:42 UTC
Confirmed regression:
Ubuntu 14.04 x64
LibreOffice 4.3 beta1 - broken
LibreOffice 4.2.4.2 release - works

Major - crash but not so serious that will affect a majority of users
High - regression + potential for data loss
Comment 2 reporter_of_bugs 2014-05-24 02:42:45 UTC
Keyword 'regression' added.

To clarify, the steps above do not crash LO ver. 4.2.4.2
Comment 3 Joel Madero 2014-05-24 02:49:54 UTC
469dea83beaa20dde4b6d71e9520adbbed0925ca is the first bad commit
commit 469dea83beaa20dde4b6d71e9520adbbed0925ca
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 23:48:19 2014 +0000

    source-hash-077a74cfc6dbea5ee275fd11b65b523cc525e2e4
    
    commit 077a74cfc6dbea5ee275fd11b65b523cc525e2e4
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Thu Mar 13 16:18:53 2014 +0000
    Commit:     Gerrit Code Review <gerrit@gerrit.libreoffice.org>
    CommitDate: Thu Mar 13 11:19:41 2014 -0500
    
        Updated core
        Project: help  f1111b92360ede9c82c8534fcbdf625ffa6c2879

:100644 100644 8a41019be9e83ba0196e63472a3c14c6d955676e 6b4343fe53b9ff5a7e9fde2f8780384d056f1cb6 M	ccache.log
:100644 100644 34684b5d91abdcd60faf448b46bced76321f7db4 a05a80b26b10a2229ceae9180eff5897b377fc7c M	commitmsg
:100644 100644 dcb4e78342586dd2ba5f942dbfff91a4ef3d0ada dbdca4117e661a5c9d7ea183cfa8e6b07d1684d2 M	make.log
:040000 040000 e3fdc7b2ba10b52035840da1e6df0d8e28d5c819 d874d37cd8d8dcbab2a002c8a6b1d1d91ccfce2f M	opt



# bad: [a92705c1fabafddd43d175a0714855cd22551232] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [6ab7f53af36f13bbefdd4e4fcbd3d1ea432a77d9] source-hash-22029c7e17b4cb48acb058d47ec9c3b6b8b6b294
git bisect start 'latest' 'oldest'
# good: [bebf9d31c8fe9de96798484288a0fffc4d54917d] source-hash-09e5de8278dd8f13adcf614db35c8a8a04ba8e47
git bisect good bebf9d31c8fe9de96798484288a0fffc4d54917d
# bad: [fac643700ecfabc737836bbed068776f34037d53] source-hash-40a61d93ade494fa98c23a9fd8776c8dadf8f30f
git bisect bad fac643700ecfabc737836bbed068776f34037d53
# bad: [d97d068402198fd528087c954ff8bf7fc2380a77] source-hash-3d1b1eea83703919c43620f9adef05e5b24c4bed
git bisect bad d97d068402198fd528087c954ff8bf7fc2380a77
# good: [3028c93bb1bec9aadbc210f29569c0b30b8cfd45] source-hash-3f0a8dc3c8204d6a500a5da64ad57996d593022f
git bisect good 3028c93bb1bec9aadbc210f29569c0b30b8cfd45
# bad: [469dea83beaa20dde4b6d71e9520adbbed0925ca] source-hash-077a74cfc6dbea5ee275fd11b65b523cc525e2e4
git bisect bad 469dea83beaa20dde4b6d71e9520adbbed0925ca
# good: [31955a7c3a79cfae08392bc6bd21d01311e07b63] source-hash-c59b3d6c5c8096486730007d9b9b053793b90b1e
git bisect good 31955a7c3a79cfae08392bc6bd21d01311e07b63
# good: [cdbc47025de75985847068513f03d9397fd69f72] source-hash-50d20866aa90150680e6d39998081fc148638c73
git bisect good cdbc47025de75985847068513f03d9397fd69f72
# good: [14704ac26c51bcc5ed1c6aaa084425e32fd7408a] source-hash-1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
git bisect good 14704ac26c51bcc5ed1c6aaa084425e32fd7408a
# first bad commit: [469dea83beaa20dde4b6d71e9520adbbed0925ca] source-hash-077a74cfc6dbea5ee275fd11b65b523cc525e2e4
Comment 4 Julien Nabet 2014-05-24 14:10:26 UTC
Created attachment 99706 [details]
console logs + bt with symbols

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 5 Caolán McNamara 2014-05-25 14:48:41 UTC
probably a regression from 8ad74d8866c77ca52f8c2562b728fc876c23f1c0

in the aa6fe2a0e62bdde897697c4e254d4256ff2accde..8578aabbc45ce3601fc0cfca89d8914c2e2632d3 range anyway
Comment 6 Commit Notification 2014-05-25 15:12:25 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d743c4052c91651f661943310b0a1293590e6d7f&h=libreoffice-4-3

Resolves: fdo#79161 sidebar crash on deactivating


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-25 15:12:38 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3c9e8471a83e6ceb9258d3a4ab7d3354adcfb3a

Resolves: fdo#79161 sidebar crash on deactivating



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:14:04 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]